import BusX
import Combine

extension Cord {
  final class Button: ObservableObject {
    let press = PassthroughSubject<Void, Never>()
    var subscriptions = [AnyCancellable]()
   
    init(_ key: String) {
      Bus.send(
        key,
        press.eraseToAnyPublisher(),
        sub: &subscriptions
      )
    }
  }
}
